### Class

# WPEPlatformHeadless DisplayHeadless

#### Description

    final class WPEPlatformHeadless.DisplayHeadless : WPEPlatform.Display
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEDisplay
- GObject

#### Constructors

###### wpe_display_headless_new

Create a new `WPEDisplayHeadless`.

###### wpe_display_headless_new_for_device

Create a new `WPEDisplayHeadless` for the DRM device with `name`.

#### Instance methods

##### Methods inherited from WPEDisplay (13)

###### wpe_display_connect

Connect the display to the native system.

###### wpe_display_get_drm_device

Get the DRM device of `display`.

###### wpe_display_get_drm_render_node

Get the DRM render node of `display`.

###### wpe_display_get_egl_display

Get the `EGLDisplay` of `display`.

###### wpe_display_get_keymap

Get the `WPEKeymap` of `display`.

###### wpe_display_get_n_screens

Get the number of screens of `display`.

###### wpe_display_get_preferred_dma_buf_formats

Get the list of preferred DMA-BUF buffer formats for `display`.

###### wpe_display_get_screen

Get the screen of `display` at `index`.

###### wpe_display_get_settings

Get the `WPESettings` of `display`.

###### wpe_display_screen_added

Emit the signal `WPEDisplay::screen-added`.

###### wpe_display_screen_removed

Emit the signal `WPEDisplay::screen-removed`. Note that `wpe_screen_invalidate()` is called before the signal is emitted.

###### wpe_display_set_primary

Set `display` as the primary display.

###### wpe_display_use_explicit_sync

Get whether explicit sync should be used with `display` for supported buffers.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from WPEDisplay (2)

###### WPEDisplay::screen-added

Emitted when a screen is added.

###### WPEDisplay::screen-removed

Emitted after a screen is removed. Note that the screen is always invalidated before this signal is emitted.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformHeadlessDisplayHeadlessClass {
      WPEDisplayClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEDisplayClass`

  No description available.